## GnlURISource GnlURISource — High-level URI Source element |

## Synopsis

                        GnlURISource;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBin
                               +----GnlObject
                                     +----GnlSource
                                           +----GnlURISource

## Implemented Interfaces

GnlURISource implements GstChildProxy.

## Properties

      "uri"                      gchar*                : Read / Write

## Description

GnlURISource is a GnlSource which reads and decodes the contents of a given file. The data in the file is decoded using any available GStreamer plugins.

## Synopsis

### Element Information

plugin | gnonlin
author | Edward Hervey <bilboed@bilboed.com>
class | Filter/Editor

### Element Pads

name | src
direction | source
presence | sometimes
details | ANY

## Details

### GnlURISource

    typedef struct _GnlURISource GnlURISource;

## Property Details

### The `"uri"` property

      "uri"                      gchar*                : Read / Write

Uri of the file to use.

Default value: NULL